BIN_DIR=bin
SRC_DIR=src
DEST=bin/program
SRC=$(wildcard $(SRC_DIR)/*.cpp)
BIN=$(patsubst $(SRC_DIR)/%.cpp,$(BIN_DIR)/%.cpp.o,$(SRC))

all: $(DEST)

.PHONY: clean

$(DEST): $(BIN)
	${CXX} $(LDFLAGS) -o $@ $^

$(BIN_DIR)/%.cpp.o: $(SRC_DIR)/%.cpp
	@mkdir -p $(BIN_DIR)
	$(CXX) $(CFLAGS) -c -o $@ $<

clean:
	rm -rf $(BIN_DIR)
